# Class BaseJobExecutor

### Hierarchy

- BaseJobExecutor
  - ComputeJobExecutor
  - JesJobExecutor
  - Sas9JobExecutor
  - WebJobExecutor
  - FileUploader

### Implements

- JobExecutor

### Constructors

- constructor

### Properties

- serverType
- serverUrl

### Methods

- appendWaitingRequest
- execute
- resendWaitingRequests

## Constructors

### constructor

- new BaseJobExecutor(serverUrl: string, serverType: ServerType): BaseJobExecutor

- - Defined in src/job-execution/JobExecutor.ts:19

  #### Parameters

  - ##### serverUrl: string

  - ##### serverType: ServerType

  #### Returns BaseJobExecutor

## Properties

### Protected serverType

serverType: ServerType

- Defined in src/job-execution/JobExecutor.ts:20

### Protected serverUrl

serverUrl: string

- Defined in src/job-execution/JobExecutor.ts:20

## Methods

### Protected appendWaitingRequest

- appendWaitingRequest(request: ExecuteFunction): void

- - Defined in src/job-execution/JobExecutor.ts:45

  #### Parameters

  - ##### request: ExecuteFunction

  #### Returns void

### Abstract execute

- execute(sasJob: string, data: any, config: any, loginRequiredCallback?: any, authConfig?: AuthConfig | undefined, extraResponseAttributes?: ExtraResponseAttributes[]): Promise<any>

- - Defined in src/job-execution/JobExecutor.ts:24

  #### Parameters

  - ##### sasJob: string

  - ##### data: any

  - ##### config: any

  - ##### Optional loginRequiredCallback: any

  - ##### Optional authConfig: AuthConfig | undefined

  - ##### Optional extraResponseAttributes: ExtraResponseAttributes[]

  #### Returns Promise<any>

### resendWaitingRequests

- resendWaitingRequests(): Promise<void>

- - Defined in src/job-execution/JobExecutor.ts:33

  #### Returns Promise<void>

Generated using TypeDoc